import { Statement } from './Statement';
import { ConfigureOptions } from './types/ConfigureOptions';
import { ConnectionOptions } from './types/ConnectionOptions';
import { ExecuteOptions } from './types/ExecuteOptions';
import { LoggingOptions } from './types/LoggingOptions';
export declare class SnowflakePool {
    private readonly sdkConnectionPool;
    private readonly logSql;
    /**
     * Creates a new Snowflake instance.
     *
     * @param connectionOptions The Snowflake connection options
     * @param loggingOptions Controls query logging and SDK-level logging
     * @param configureOptions Additional configuration options
     */
    constructor(connectionOptions: ConnectionOptions, loggingOptions?: LoggingOptions, configureOptions?: ConfigureOptions | boolean);
    /** Create a Statement. */
    createStatement(options: ExecuteOptions): Promise<Statement>;
    /** A convenience function to execute a SQL statement and return the resulting rows. */
    execute(sqlText: string, binds?: any[]): Promise<any[]>;
}
